summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Heinz Wiesinger2013-11-17 19:00:38 +0100
committer Heinz Wiesinger2013-11-19 19:54:51 +0100
commitf016242dfedf8bc4706c4977178b689a24630ae3 (patch)
tree8e74780d0a31395f753a9900bdf80fba42b2ed14 /perl
parent8c3ddf5a0ffaaf8d39993c594dfdd526e8720c24 (diff)
downloadslackbuilds-f016242dfedf8bc4706c4977178b689a24630ae3.tar.gz
perl/perl-Alien-SDL: Added.
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Alien-SDL/README4
-rw-r--r--perl/perl-Alien-SDL/perl-Alien-SDL.SlackBuild81
-rw-r--r--perl/perl-Alien-SDL/perl-Alien-SDL.info10
-rw-r--r--perl/perl-Alien-SDL/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/perl/perl-Alien-SDL/README b/perl/perl-Alien-SDL/README
new file mode 100644
index 0000000000..e1dd81eef5
--- /dev/null
+++ b/perl/perl-Alien-SDL/README
@@ -0,0 +1,4 @@
+In short Alien::SDL can be used to detect and get configuration
+settings from an installed SDL and related libraries. Based on your
+platform it offers the possibility to download and install pre-built
+binaries or to build SDL & co. from source codes.
diff --git a/perl/perl-Alien-SDL/perl-Alien-SDL.SlackBuild b/perl/perl-Alien-SDL/perl-Alien-SDL.SlackBuild
new file mode 100644
index 0000000000..144fdf4355
--- /dev/null
+++ b/perl/perl-Alien-SDL/perl-Alien-SDL.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for perl-Alien-SDL
+
+# Copyright 2013 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Alien-SDL
+SRCNAM=Alien-SDL
+VERSION=1.440
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Build.PL \
+ prefix=/usr \
+ installdirs=vendor \
+ destdir=$PKG \
+ --with-sdl-config
+./Build
+./Build test
+./Build install \
+ --install_path bindoc=/usr/man/man1 \
+ --install_path libdoc=/usr/man/man3
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+# Remove perlocal.pod and .packlist from $PKG
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Alien-SDL/perl-Alien-SDL.info b/perl/perl-Alien-SDL/perl-Alien-SDL.info
new file mode 100644
index 0000000000..4de14961cf
--- /dev/null
+++ b/perl/perl-Alien-SDL/perl-Alien-SDL.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Alien-SDL"
+VERSION="1.440"
+HOMEPAGE="http://search.cpan.org/~froggs/Alien-SDL-1.440/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/F/FR/FROGGS/Alien-SDL-1.440.tar.gz"
+MD5SUM="ad665d058d186e673114024ba10dfa09"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-File-Which perl-File-ShareDir perl-Text-Patch perl-Capture-Tiny perl-Archive-Zip"
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
diff --git a/perl/perl-Alien-SDL/slack-desc b/perl/perl-Alien-SDL/slack-desc
new file mode 100644
index 0000000000..da773ed7b0
--- /dev/null
+++ b/perl/perl-Alien-SDL/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Alien-SDL: perl-Alien-SDL (Building, finding and using SDL binaries)
+perl-Alien-SDL:
+perl-Alien-SDL: In short Alien::SDL can be used to detect and get configuration
+perl-Alien-SDL: settings from an installed SDL and related libraries. Based on your
+perl-Alien-SDL: platform it offers the possibility to download and install pre-built
+perl-Alien-SDL: binaries or to build SDL & co. from source codes.
+perl-Alien-SDL:
+perl-Alien-SDL:
+perl-Alien-SDL:
+perl-Alien-SDL:
+perl-Alien-SDL: